<?php
   $target='_norden';
   include("funciones/funciones_backup.php");   
   include("conexion/conexion.php");
   include("Menu/menu_inicio.php");  
   include("Ordenes/ordenes.php"); 

   $nombrepagina = "Planillar Por Zonas.";
   encabezado($target); 
   $user=$_SESSION['validar'];
   $tamano_pagina=50;
   $_SESSION['tam']=$tamano_pagina;  
   $pagina = $_GET["pagina"];
			    if(!$pagina){
		        	$inicio=0;
					$_SESSION['inicio']=$inicio;
		        	$pagina=1;
		  		}else{
		            $inicio=($pagina-1)*$tamano_pagina;
					$_SESSION['inicio']=$inicio;
		  		}
     $filas=1;   
      if($filas == 1)
	{ 
	 class llamado{
	 var $menuObj;
	 //var
	      function validar1($id_user,$id_sucursal){
	 			  $this->menuObj=new menu_inicio();
				  $this->menuObj->menu2($id_user,$id_sucursal);
	  	  }
	 }
	 $llamadoObj=new llamado();
	 $llamadoObj->validar1($_GET['id_user'],$_GET['suc']);
	 entrada($user,$_GET['id_user'],$_GET['suc']);
	 echo"</td>";	 
	 echo"<td width=79% background=\"imagenes/bg3.jpg\" valign=top>";
	 mostrar_cabeza_trabajo($nombrepagina);	 
	 if(!isset($Planillar)){

     }else{
	
class crearSucursal{
	  var $crearObj;
	  var $conexionObj;
	  var $estado;
	  
	function validar($id_mens,$tabla,$registros,$_norden){
			$this->conexionObj= new conexion();
			$this->conexionObj->conectarse();
			
			// CONSULTA LA PLANILLA SI EXISTE O LA CREA SI NO EXISTE PARA EL MENSAJERO SELECCIONADO	
			$id_pla=ConsultaPlanilla($id_mens);
	 			if($id_pla==0){
	 				$rst_crear_planilla=$this->conexionObj->consultar("INSERT INTO planillas VALUES (0, date(now()), time(now()), '".$_GET['id_user']."', '0', '".$id_mens."', '".$_GET['suc']."')");
	 				$id_pla=ConsultaPlanilla($id_mens);
	 			}

			$rst_select=$this->conexionObj->consultar("SELECT id_planilla, identificacion, nombre, cantidad ".
			"FROM planillas as p inner join mensajeros as m on p.id_mensajero=m.id_mensajero ".
			"WHERE p.id_planilla='".$id_pla."' ORDER BY id_planilla DESC");
			$tomar_planilla=mysql_fetch_array($rst_select);
			$planilla=$id_pla;
            //$tomar_planilla[0];
			$_SESSION['planilla']=$id_pla;
			$cc=$tomar_planilla[1];
			$_SESSION['cc']=$cc;
			$nombre=$tomar_planilla[2];
			$_SESSION['nombre']=$nombre;
			$cant_guias=$tomar_planilla[3];
			$id_mens;
			$tabla;
			$estado=13;
			for($i=0; $i<=count($registros)-1; $i++){
			$nom_zona=$registros[$i];
			$rst_insertar=$this->conexionObj->modificar("UPDATE $tabla SET id_mensajero = '".$id_mens."', id_estado = '$estado', id_planilla = '$planilla' WHERE nom_zona = '".$nom_zona."' AND id_mensajero = '0' AND (id_estado='12' OR id_estado='19') AND orden='".$_norden."' ");
			$affected_rows=mysql_affected_rows();
			$cant_guias=$cant_guias+$affected_rows;
			}
			$_SESSION['cantidad']=$cant_guias;
			$this->conexionObj->modificar("UPDATE planillas SET cantidad = '".$cant_guias."' WHERE id_planilla = '$planilla'");
			$this->actualizarDatos($planilla,$tabla,$estado);
			
				
	}
	function actualizarDatos($planilla,$tabla,$estado){
			$this->conexionObj= new conexion();
			$this->conexionObj->conectarse();
			//echo "SELECT guia FROM $tabla WHERE id_planilla = '$planilla'";
			$rst_select_guia=$this->conexionObj->consultar("SELECT guia FROM $tabla WHERE id_planilla = '$planilla'");
			//echo $cantn=mysql_num_rows($rst_select);
			$this->userObj=new select_zonas();
			$tabla_rastreo=$this->userObj->get_tabla_rastreo($_GET['suc']);
			while($rows_select=mysql_fetch_array($rst_select_guia)){
			$guia=$rows_select[0];
			$rst_validar=$this->conexionObj->consultar("SELECT E19 FROM rastreo_guias WHERE guia = '$guia' ORDER BY id DESC");
				$reenv=mysql_fetch_array($rst_validar);
				$valida=$reenv[0];
				$this->userObj=new select_zonas();
				if($valida==0){
				$id=$this->userObj->get_id($guia);
				}else{
				$rst_insertar=$this->conexionObj->consultar("INSERT INTO rastreo_guias (guia) values ($guia)");
				$id=$this->userObj->get_id($guia);
				}
				$rst_select=$this->conexionObj->modificar("UPDATE rastreo_guias SET E$estado='$estado', F$estado =  '".date('Y-m-d H:i:s')."' WHERE guia = '$guia' AND id='$id'");
				//$rst_update_planilla=$this->conexionObj->modificar("UPDATE planillas SET cantidad = cantidad+1 WHERE id_planilla = '$planilla'");
			}

	}
	
}// FIN DE LA CLASE CREARUSUARIO
// CREACION DEL OBJETO
$crearSucursalObj=new crearSucursal();
// CONFIGURANDO LAS PROPIEDADES DEL OBJETO
// LAMANDO EL METODO DE NEGOCIO
$crearSucursalObj->validar($_POST['mensajero'],$_POST['tabla'],$registros,$p_orden);

	 }
class obtiene{
		  var $userObj;
		  function obtener($perfil){
					$this->userObj=new select_zonas();
				    $tabla=$this->userObj->get_tabla($_GET['suc']);
					$_SESSION['tabla_guia']=$tabla;
		  }
	}
	$eliminaObj=new obtiene();
	$eliminaObj->obtener($suc);
	$tabla=$_SESSION['tabla_guia'];

$perfil=$_SESSION['perfil'];
//$norden = trim($_POST['orden']);
if($perfil==1){
$add="WHERE (g.id_estado='12' OR g.id_estado=19) and g.orden='".$_norden."' GROUP BY g.cod_zona ORDER BY g.cod_zona";
}else{
$add="WHERE g.id_sucursal='".$_GET['suc']."' AND (g.id_estado='12' OR g.id_estado=19) and g.orden='".$_norden."' GROUP BY g.cod_zona ORDER BY g.cod_zona";
}
$sql_ordenes="SELECT g.cod_zona, g.nom_zona, COUNT(guia) FROM $tabla AS g $add";
 
class filas{
	var $rowsobj;
		function cantidad($sql_consulta){
				$this->userObj=new select_zonas();
				$cant=$this->userObj->get_filas($sql_consulta);
				return $cant;
		}
}
$filasobj=new filas();
$filas=$filasobj->cantidad($sql_ordenes);
$total_paginas = ceil($filas/$tamano_pagina);
?>

<form action="" method="POST" name="backup">
<CENTER>
<table width="300" border="0" class="primaria">
<tr class=miTable_tr>
<td colspan="2" class=miTable_th1><div align="center">..:: SELECCION DE MENSAJERO ::..</div></td>
</tr>
<tr class="miTable_tr">
<td width="100" class="miTable_td">
Mensajero:
</td>
<td width="300" class="miTable_td">
<select name="mensajero" class="inputbox" style="width:40em;">
<?
get_mensajero($_GET['suc'],$_POST['mensajero']);
?>
</select>
</td>
</tr>
      <tr class="miTable_tr">
        <td width="100" class="miTable_td"> Orden de Servicio:</td>
        <td width="350" class="miTable_td">
          <input type="text" name="_norden" class="inputbox" value="<? if (!empty($tp_fijar)) echo $_norden; ?>">
<input name="tp_fijar" type="checkbox" class="inputbox" id="tp_fijar" size="35" <? if(!empty($tp_fijar)) print 'checked';?> >Fijar Orden
          </tr>
      <tr class=miTable_tr>
        <td class=miTable_th1 colspan="2">
          <div align="center">
            <input type="submit" name="consultar" value="Consultar" class="inputbox">
<tr class=miTable_tr>
<td colspan="2" class=miTable_th1>
<input type="hidden" name="id_user" value="<? echo $_GET['id_user'];?>" class="inputbox">
<input type="hidden" name="suc" value="<? echo $_GET['suc'];?>" class="inputbox">
<input type="hidden" name="tabla" value="<? echo $tabla;?>" class="inputbox">
</td>
</tr>
</table>

<?

/////////////////////////////////////////////////////////////formulario planilla
if(isset($Planillar)){////INICIA CUANDO PRESIONA EL BOTON PLANILLAR.
$id_pla = $_SESSION['planilla'];
$mensajero = $_POST['mensajero'];

			echo '<center><table width="300" border="0" class="primaria"><tr class=miTable_tr>
			<td class=miTable_th1><div align="center">
			..:: PLANILLA No '.$_SESSION['planilla'].' ::..</div></td></tr>';
			echo '<tr class=miTable_tr>
			<td class=miTable_td><div align="center">
			CODIGO OPERADOR '.$_SESSION['cc'].'</div></td></tr>';
			echo '<tr class=miTable_tr>
			<td class=miTable_td><div align="center">
			NOMBRE OPERADOR '.$_SESSION['nombre'].'</div></td></tr>';
			echo '<tr class=miTable_tr>
			<td class=miTable_td><div align="center">
			CANTIDAD '.$_SESSION['cantidad'].'</div></td></tr>';
			echo '<tr class=miTable_tr>
			<td class=miTable_th1><div align="center"></div></td></tr></table>';
			echo '<table width="400" border="0"><tr><td align="center">';
				//echo '<a href="Pdf/planilladetallada.php?planilla='.$_SESSION['planilla'].'&tabla='.$tabla.'" target="_blank">Ver Guias Planilladas Detalle</a></td>';
				//echo '<td align="center"><a href="Pdf/planillaresumida.php?planilla='.$_SESSION['planilla'].'&tabla='.$tabla.'" target="_blank">Ver Guias Planilladas Resumen</a></td>';
echo '<a href="Pdf/planilladetallada.php?planilla='.$id_pla.'&tabla='.$tabla.'&ruta='.$ruta_logo.'&id_men='.$mensajero.'" target="_blank">Ver Guias Planilladas Detalle</a></td>';
	 			echo '<td align="center"><a href="Pdf/planillaresumida.php?planilla='.$id_pla.'&tabla='.$tabla.'&id_men='.$mensajero.'" target="_blank">Ver Guias Planilladas Resumen</a></td>';
				echo '</tr></table>';
			echo '</center>';
     }////TERMINA CUANDO PRESIONA BOTON PLANILLAR.
///////////////////////////////////////////////////////
if(!empty($_norden)){/////////EMPIEZA SI PRESIONA EL BOTON CONSULTAR ODS.
	 	$_norden = trim($_norden);
	 	//if(isset($consultar)){/////////EMPIEZA SI PRESIONA EL BOTON CONSULTAR ODS.
	 //$norden = trim($_POST['orden']);
?>
<table width="373" border="0" class="primaria">
<tr class=miTable_tr>
<td colspan="9" class=miTable_th1><div align="center">..:: PLANILLAR POR ZONAS DE LA ORDEN <? echo $_norden;?>::..</div></td>
</tr>
<tr class="miTable_tr">
<td valign=top class=miTable_th1 width="81"><div align="center">ID ZONA</div></td>
<td valign=top class=miTable_th1 width="82"><div align="center">NOMBRE</div></td>
<td valign=top class=miTable_th1 width="81"><div align="center">CANTIDAD</div></td>
<td valign=top class=miTable_th1 width="111"><div align="center">SELECCION</div></td>
</tr>
<?

	class elimina{
		  var $userObj;
		  function eliminar($perfil,$tabla,$_norden){
		  			$tamano_pagina=$_SESSION['tam'];
					$inicio=$_SESSION['inicio'];
					$this->userObj=new select_zonas();
				    $this->userObj->planilla_seleccion($inicio,$tamano_pagina,$_GET['id_user'],$_GET['suc'],$perfil,$tabla,$_norden);
		  }
 }
	$eliminaObj=new elimina();
	$eliminaObj->eliminar($perfil,$tabla,$_norden);
?>
</tr>
<tr class=miTable_tr>
<td class=miTable_th1 colspan="9">
<div align="right">
          <?
            if($filas>0){
          ?>
<input type="submit" name="Planillar" value="Planillar" class="inputbox">
<input type='hidden' name='p_orden' value='<? echo $_norden?>'>
<?
}
?>
</div>
</td>
</tr>
<tr class=miTable_tr>
<td class=miTable_td colspan="9">
<div align="center">
<?
$id_user=$_GET['id_user'];
$id_sucursal=$_GET['suc'];
if($total_paginas>1)
		{   echo "Paginas:";
			//echo "&nbsp;&nbsp;"; 
			$start = ( $pagina-5 > 0 ? $pagina-5  : 1 );
			if ($start > 1 ){
				print "&nbsp;<a href=planillar_seleccion.php?pagina=".($start-1)."&id_user=$id_user&_norden=$_norden&suc=$id_sucursal&tp_fijar=$tp_fijar'> << </A>";
			}
			for($i = 0; $i < 10 && $total_paginas >= $start+$i; $i++){
				if($pagina == $start+$i){
					print "&nbsp;&nbsp;".($start+$i); 
				}else{
					print "&nbsp;&nbsp;<a href='planillar_seleccion.php?pagina=".($start+$i)."&id_user=$id_user&_norden=$_norden&suc=$id_sucursal&tp_fijar=$tp_fijar'>". ($start+$i)." </A>";
				}
		   	}
			if($start+$i < $total_paginas){
			    print "&nbsp;&nbsp;<a href='planillar_seleccion.php?pagina=".($start+$i)."&id_user=$id_user&_norden=$_norden&suc=$id_sucursal&tp_fijar=$tp_fijar'> >> </A>";

			}
		 
			
		 } 
?>
</div>
</td>
</tr>
<tr class=miTable_tr>
<td class=miTable_th1 colspan="9">
<DIV align="center">
Ir a la pagina
<input type='text' name='pagina' value='' size="5" class="inputbox">
<input type='hidden' name='id_user' value='<? echo $id_user?>'>
<input type='hidden' name='suc' value='<? echo $id_sucursal?>'>
<input type='submit' name='' value='Ir' class="inputbox">
</DIV>
</td>
</tr>
</table>

<?
}//TERMINA CUANDO PRESIONA EL BOTON CONAULTAR ORDEN DE SERVICIO.

     }##Cierra el if de validacion de usuario
echo"</td>";
echo"</tr>";
mostrar_pie();
echo"</td>";
echo"</tr>";
echo"</table>";
echo"</table>";
echo"<table width=503 border=0 align=center cellpadding=0 cellspacing=0>";
echo"<tbody><tr>";
echo"<td></td>";
echo"</tr>";
echo"<tr>";
echo"<td height=7 background=imagenes/lineas_pie.jpg><img src=index2_files/spacer.html width=1 height=15></td>";
echo"</tr>";
echo"<tr>";
    ?>
    <td>
      <center>
        <? pie_de_pagina();?>
      </center></td>
<?php
	echo"</tr>";
	echo"</tbody></table>";
	echo"</center>";
	echo"</body>";
	echo"</html>";
    ?>
  </CENTER>
</form>

